Mapping and GIS Solutions Community

 View Only
Expand all | Collapse all

migrate to android gradle plugin 4

Jump to Best Answer
  • 1.  migrate to android gradle plugin 4

    Posted 08-10-2020 06:33

    Hello

    I'm migrating SampleFacade project to android gradle plugin version 4. I only change gradle plugin to 4.0.1:

    dependencies {
        classpath 'com.android.tools.build:gradle:4.0.1'
    }

    When i run the app. I am getting the exception

    Execution failed for task ':CatalystFacade:compileDebugJavaWithJavac'.
    > Could not resolve all files for configuration ':CatalystFacade:debugCompileClasspath'.
        > Failed to transform trimble.jssi.core-release.aar to match attributes {artifactType=android-classes-jar, org.gradle.usage=java-api}.
            > Execution failed for AarToClassTransform: C:\Users\RDP\Desktop\SampleFacade\CatalystFacade\libs\trimble.jssi.core-release.aar.
                > entry

    Is it possible to fix this or I have to wait for newer TPSDK version? 



  • 2.  Re: migrate to android gradle plugin 4
    Best Answer

    Posted 08-10-2020 12:08

    Hi,

    this is indeed a problem - and known since a short time.

    Long story short: The DexGuard obfuscator we use at the moment supports gradle up to version 3.6.4.

    The current release will fail even with 3.6.4 I think (not 100% sure here); we are close to releasing an update that is

    a) fully Android 10 compatible and 

    b) fixes the gradle issue to a certain degree (up to 3.6.4).

    But even with the next release (scheduled in roughly 3 to 4 weeks) I don't believe gradle 4.X will work unless we get a DexGuard update before (warranty is fine - so we kinda wait for this ourselves).

     

    I may have more information on this within the next week - but can't say for sure.

     

    Regards

    Nico